SoulFire LogoSoulFire

Get automation team state

GET
/v1/instances/:instance_id/automation

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "http://127.0.0.1:38765/v1/instances/:instance_id/automation"
{  "state": {    "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366",    "friendly_name": "string",    "settings": {      "preset": "AUTOMATION_PRESET_UNSPECIFIED",      "team_collaboration": true,      "role_policy": "AUTOMATION_ROLE_POLICY_UNSPECIFIED",      "shared_end_entry": true,      "max_end_bots": 0,      "shared_structure_intel": true,      "shared_target_claims": true,      "objective_override": "AUTOMATION_TEAM_OBJECTIVE_UNSPECIFIED",      "target_blaze_rods": 0,      "target_ender_pearls": 0,      "target_ender_eyes": 0,      "target_arrows": 0,      "target_beds": 0    },    "objective": "AUTOMATION_TEAM_OBJECTIVE_UNSPECIFIED",    "active_bots": 0,    "quotas": [      {        "requirement_key": "string",        "display_name": "string",        "current_count": 0,        "target_count": 0      }    ],    "bots": [      {        "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366",        "bot_id": "41900e0f-e27a-4863-8321-478ccf15bbd8",        "account_name": "string",        "status_summary": "string",        "goal_mode": "AUTOMATION_GOAL_MODE_UNSPECIFIED",        "paused": true,        "beat_phase": "AUTOMATION_BEAT_PHASE_UNSPECIFIED",        "current_action": "string",        "target": {          "requirement_key": "string",          "display_name": "string",          "count": 0        },        "team_role": "AUTOMATION_TEAM_ROLE_UNSPECIFIED",        "team_objective": "AUTOMATION_TEAM_OBJECTIVE_UNSPECIFIED",        "dimension": "string",        "position": {          "x": 0.1,          "y": 0.1,          "z": 0.1        },        "death_count": 0,        "timeout_count": 0,        "recovery_count": 0,        "last_recovery_reason": "string",        "last_progress_at": {          "seconds": 0,          "nanos": 0        },        "settings": {          "enabled": true,          "allow_death_recovery": true,          "memory_scan_radius": 0,          "memory_scan_interval_ticks": 0,          "retreat_health_threshold": 0,          "retreat_food_threshold": 0,          "role_override": "AUTOMATION_TEAM_ROLE_UNSPECIFIED"        },        "queued_targets": [          {            "requirement_key": "string",            "display_name": "string",            "count": 0          }        ]      }    ]  }}

How is this page?